petsc-3.15.0 2021-03-30
Report Typos and Errors

# MatMultTranspose

Computes matrix transpose times a vector y = A^T * x.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode MatMultTranspose(Mat mat,Vec x,Vec y)

Neighbor-wise Collective on Mat

### Input Parameters

| mat | - the matrix
| x | - the vector to be multiplied

### Output Parameters

| y | - the result

### Notes

The vectors x and y cannot be the same. I.e., one cannot call MatMultTranspose(A,y,y).

For complex numbers this does NOT compute the Hermitian (complex conjugate) transpose multiple, use MatMultHermitianTranspose()

### See Also

MatMult(), MatMultAdd(), MatMultTransposeAdd(), MatMultHermitianTranspose(), MatTranspose()

### Level

beginner

### Location

src/mat/interface/matrix.c

### Examples

src/mat/tutorials/ex2.c.html
src/ksp/ksp/tutorials/ex27.c.html
src/ksp/ksp/tutorials/ex53.c.html
src/ksp/ksp/tutorials/ex72.c.html
src/ksp/ksp/tutorials/ex73.c.html
src/tao/constrained/tutorials/tomographyADMM.c.html
src/tao/pde_constrained/tutorials/elliptic.c.html
src/tao/pde_constrained/tutorials/hyperbolic.c.html
src/tao/tutorials/ex4.c.html
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages